export declare class DataTypeUtils {
    private static types;
    constructor();
    static getDataType(o: any): any;
    static isNull(o: any): boolean;
    static isUndefined(o: any): boolean;
    static isObject(o: any): boolean;
    static isArray(o: any): boolean;
    static isString(o: any): boolean;
    static isNumber(o: any): boolean;
    static isBoolean(o: any): boolean;
    static isFunction(o: any): boolean;
    static isRegExp(o: any): boolean;
    static isError(o: any): boolean;
    static isSymbol(o: any): boolean;
    static isPromise(o: any): boolean;
    static isSet(o: any): boolean;
    static isDate(o: any): boolean;
    static isFalse(o: any): boolean;
    static isTrue(o: any): boolean;
    /**
     * @method
     * 是否为空值：符合空值的条件（空字符串、null、undefined、数组长度为0、对象中没有key）
     * @param v：被验证的值
     * @param trim：如果是字符串，是否去除空格后再验证
     */
    static isNullValue(v: any, trim?: boolean): boolean;
}
//# sourceMappingURL=data-type-utils.d.ts.map